## org.h2.engine
Class Engine

    java.lang.Object
      org.h2.engine.Engine

All Implemented Interfaces:
  SessionFactory

    public class Engine

extends java.lang.Object
implements SessionFactory

The engine contains a map of all open databases. It is also responsible for opening and creating new databases. This is a singleton class.

Constructor Summary
`Engine()`

Method Summary
`void` `close(java.lang.String name)` Called after a database has been closed, to remove the object from the list of open databases.
`Session` `createSession(ConnectionInfo ci)` Open a database connection with the given connection information.
`static Engine` `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Engine

    public Engine()

Method Detail

### getInstance

    public static Engine getInstance()

### createSession

    public Session createSession(ConnectionInfo ci)

  Open a database connection with the given connection information.

  Specified by:
    `createSession` in interface `SessionFactory`
  Parameters:
    `ci` - the connection information
  Returns:
    the session

### close

    public void close(java.lang.String name)

  Called after a database has been closed, to remove the object from the list of open databases.

  Parameters:
    `name` - the database name